project(TecnicasAlocacao)
cmake_minimum_required(VERSION 3.3)


add_subdirectory(LinkedList)
add_subdirectory(UnidadeMemoria)
add_subdirectory(Desempenho)
#add_subdirectory(utils)
file(GLOB SRC_FILES *.c *.h)
include_directories(${PROJECT_SOURCE_DIR})
add_library(TecnicasAlocacao ${SRC_FILES})
target_link_libraries(TecnicasAlocacao LinkedList UnidadeMemoria Desempenho)

MESSAGE(STATUS "Build Step: TecnicasAlocacao")
MESSAGE(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
MESSAGE(STATUS "Library Type: " ${LIB_TYPE})
MESSAGE(STATUS "Compiler flags:" ${CMAKE_CXX_COMPILE_FLAGS})
MESSAGE(STATUS "Compiler cxx debug flags:" ${CMAKE_CXX_FLAGS_DEBUG})
MESSAGE(STATUS "Compiler cxx release flags:" ${CMAKE_CXX_FLAGS_RELEASE})
MESSAGE(STATUS "Compiler cxx min size flags:" ${CMAKE_CXX_FLAGS_MINSIZEREL})
MESSAGE(STATUS "Compiler cxx flags:" ${CMAKE_CXX_FLAGS})
